@import "css/site-navigation.css";

/* structure */

.wrapper{
	max-width: 1200px;
	margin: 0 auto;
	padding: 2rem;
}

body{
	margin: 0;
}


/* TYPOGRAPHY */

html{
	font-size: 10px;
}

p {
	font-size: 1.8rem;
	line-height: 1.6;
	margin: 2.5rem 0;
}


a{
	text-decoration: none;
	color: #666600;
}
a:hover{
	color: #b25720;
}

#site-navigation a,
#site-navigation ul.sub-menu li:last-child a{
	font-family: "Oswald", Arial, sans;
	font-weight: 300;
	text-transform: uppercase;
	letter-spacing: .02em;
}

#site-navigation ul.sub-menu li:last-child a{
	font-style: normal;
}

#welcome p,
#services .overview p{
	max-width: 70rem;
	margin-left: auto;
	margin-right: auto;
}

body{
	font-family: "IM Fell Great Primer", Georgia, serif;
	font-size: 1.2rem;
}

section{
	margin-bottom: 2.5rem;
	display: block;
	border-top: 2px dotted  #ccc;
	clear: left;

}

section section{
	border: none;
}

section#welcome p:last-child{
	margin-bottom: 0;
}

h1,h2,h3,h4,h5,h6{
	font-weight: 400;
	margin-top: 0;
	margin-bottom: 1rem;
	line-height: 1.2;
}

h1{
	font-family: "Oswald", Arial, sans;
	font-weight: 400;
	text-align: center;
}


h2{
	font-family: "Oswald", Arial, sans;
	text-align: center;
	font-size: 1.8rem;
	margin-bottom: 2.5rem;
	padding-top: 2.5rem;
	color: #999;
	text-transform: uppercase;

}

h3{
	font-family: "IM Fell Great Primer SC", Georgia, serif;
	text-align: center;
	font-size: 1.8rem;
	margin-bottom: 2.5rem;
}

#process h3{
	font-family: "IM Fell Great Primer", Georgia, serif;
	font-style: italic;
	font-size: 2.2rem;
}

.menu-section h3{
	padding-top: 1.25rem;
	color: #666;
}

.menu-section h3:before{
	content: "";
	display: block;
	border-top: 1px solid #ccc;
	height: 2px;
	border-bottom: 1px solid #ccc;
	z-index: 1;
}

.menu-section h3 span{
	background: #fff;
	padding: 0 5px;
	z-index: 5;
	position: relative;
	top: -1.5rem;
}

h1 .legal{
	color: #666;
}

.single-col .service ul,
#process p{
	max-width: 30em;
	margin-left: auto;
	margin-right: auto;
}

#process p{
	text-align: center;
}

/* SCALABLE PORTFOLIO */

.portfolio-item{
	overflow: hidden;
}

.portfolio-item .portfolio-item-wrapper{
	height: 0;
	position: relative;
	/* Percentage from 10 divided by 15 for ratio of 15:10. */
  	padding-bottom: 66.67%;
}
	
.portfolio-item img{
	height: 100%;
	width: auto;
	margin: 0 auto;
}
	

/* ================= HEADER  ================= */

.splash,
#welcome{
	display: block;
	width: 100%;
	overflow: auto;
	margin-bottom: 3rem;
}

.splash{
	margin-top: 1rem;
	border-top: none;
	text-align: center;
}


.splash-logo{
	width: 50%;
	height: auto;
	margin: 0 auto;
}

h1.site-name{
	text-transform: lowercase;
	padding-top: 1rem;
	font-size: 2.8rem;
	letter-spacing: .025em;
	line-height: 1.1;
}


h1 .studios{
	font-size: 1.6rem;
	letter-spacing: .25em;
}

h2.site-description{
	font-style: italic;
	text-align: center;
	font-size: 2rem;
	padding-top: 1rem;
	font-family: "IM Fell Great Primer", Georgia, serif;
	color: #000;
	text-transform: none;
}

ul.specialities{
	padding-left: 0;
	padding-top: 0;
}

ul.specialities li{
	list-style-type: none;
	margin-left: 0;
	font-family: "IM Fell Great Primer SC", Georgia, serif;
	font-size: 1.6rem;
	text-align: center;
}

.contact{
	text-align: center;
	font-size: 1.8rem;
	display: block;
	padding-top: 1rem;
}

/* ================= WELCOME ================= */


#welcome p.intro{
	font-style: italic;
	font-size: 2.4rem;
	font-weight: normal;
	text-align: center;
}


img.headshot{
	max-width: 50%;
	-moz-border-radius: 50%;
	-webkit-border-radius: 50%;
	border-radius: 50%; /* future proofing */
	margin: 0 auto 2.5rem;
	display: block;
}

/* ================= RECENT WORK ================= */

.portfolio{
	overflow: auto;
	display: block;
	margin-top: 2.5rem;
}



.portfolio-item img{
	max-width: 100%;
	height: auto; !important;
}

.portfolio-item{
	width: calc( 100%/2 - 1px);
	float: left;
		
}
	
/* ================= SERVICES ================= */



.menu-section{
	display: block;
	overflow: auto;
	margin-top: 2.5rem;
}

.service
	border-bottom: 2px solid #ccc;
	padding-bottom: 1.25rem;
	margin-bottom: 1.5rem;
}




.single-col .service{
	width: 100%;
	border: 0;
}



.single-col .service p.big-icon{
	text-align: center;
	font-size: 2.8rem;
	line-height: 1;

}

p.big-icon i{
		color: #000000;
		font-size: 2.8rem;
			line-height: 1;
}

.service-wrapper{
	padding: 0 2rem;
	text-align: center;
	
}

.service{
	padding-bottom: 2rem;
	margin-bottom: 2rem;
	border-bottom: 1px solid #eee;
}

.row-wrapper :last-child{
	border-bottom: none;
	margin-bottom: 0;
}

section :last-child{
	margin-bottom: 0;
	padding-bottom: 0;
}

.service-header{
	display: block;
	overflow: auto;
	margin-bottom: 1rem;
}

.service-code, .icons{
	color: #999;
	line-height: 2rem;
}

.service-code{
	float: left;
	font-family: "Oswald", sans;

	text-transform: uppercase;
	
}

.service h4{
	font-size: 2.2rem;
/*	font-style: italic;*/
	text-align: center;
}

.service h5{
	font-size: 1.6rem;
	font-style: italic;
	margin-bottom: 2.5rem;
}

.icons{
	float: right;
	font-size: 2rem;
}

.icons i{
	margin-left: .5rem;
}

.smallcaps{
	font-family: "IM Fell Great Primer SC", Georgia, serif;
}

.service-description{
	font-family: "IM Fell Great Primer SC", Georgia, serif;
	font-size: 1.8rem;
	line-height: 1.6rem;
	display: block;
	margin-bottom: 2.5rem;
}

.service ul{
	padding: 0;
}

.service ul li{
	list-style-type: none;
	margin-bottom: 2.5rem;
	padding-bottom: 2.5rem;
	border-bottom: 1px dotted #dddddd;
}


.service .revisions, .service i, footer .revisions{
	color: #666;
}

.service h6{
	font-size: 1.6rem;
}

.service h6, .service i, .service p.revisions, .service p.description{
	margin-top: 0;
	margin-bottom: .75rem;
	line-height: 1.2;
}

.service i{
	font-size: 2.2rem;
	margin-left: .2rem;
	margin-right: .2rem;
}

footer{
	font-size: 1.8rem;
	text-align: center;
	font-family: "IM Fell Great Primer SC", Georgia, serif;


}



.service .revisions,
footer .revisions{
	font-family: "Oswald";
	font-size: 1rem;
}

.service .description{
	font-size: 1.4rem;
	color: #666;
}

.service .description:before{
	/*content: "{ ";*/
}

.service .description:after{
	/*content: " }";*/
}

.service .price{
	font-family: "Oswald", sans;
	font-size: 2rem;
	margin-top: -2rem;
}

.service .price .dollar-sign{
	font-family: "IM Fell Great Primer", Georgia, serif;
	font-size: 1.4rem;
	vertical-align: top;
}

p.footnote{
	clear: left;
	display: block;
	text-align: center;
	font-style: italic;
	font-size: 1.4rem;
	/*padding-top: 2.5rem;*/
}

.row-wrapper{
	display: block;
	overflow: auto;
	clear: both;
	margin-bottom: 3rem;
	padding-bottom: 2rem;
	border-bottom: 1px dotted #ddd;
}

section .row-wrapper:last-child{
	border-bottom: none;
}


		
#web-packages{
	width: calc(100%+4rem);
	background-color:  #333;
	margin-left: -2rem;
	margin-right: -2rem;
}

#web-packages h3{
	margin-bottom: 0;
}

#web-packages h3 span{
	background-color: #333;
	color: #eee;
}

#web-packages .service{
	background-color: #fff;
	margin: 0 1rem;
	padding-top: 1rem;
	border-radius: 1rem;
	margin-bottom: 2rem;
}


#web-packages :last-child{
	padding-bottom: 1rem;
}


	.pitch{
		padding-bottom: 2rem;
	}

@media screen and (min-width: 600px) {
	.splash-logo{
		width: 45%;
		height: auto;
		float: left;
		margin-left: 5%;
	}

	.header-group{
		float: left;
		clear: right;
		width: 55%;
		margin-left: -5%;
		padding-top: 5rem;
	}
	
	
	h1.site-name{
		font-size: 3.7rem;
	}
	
	h1 .studios{
		font-size: 2.8rem;
	}

	h2.site-description{
		font-size: 2.1rem;
		padding-top: 2.5rem;
		margin-bottom: 0;
	}

	
	
	.floatleft, .floatright,
	img.alignleft, img.alignright{
		max-width: 33%;

	}

	.floatleft,
	img.alignleft{
		float: left;
		margin-right: 2.2px;
		margin-right: 2.2rem; /* Account for line height, slightly more right margin so it balances bottom*/
		margin-bottom: 1rem;  
		/*margin-left: -2.4rem;*/
	}

	.floatright,
	img.alignright{
		float: right;
		margin-left: 2.2px;
		margin-left: 2.2rem;
		margin-bottom: 1rem;
		/*margin-right: -2.4rem;*/
	}
	
	img.headshot{
		max-width: 20%;
	}
	
	.portfolio-item{
		width: calc( 100%/3 - 1px);
		float: left;
		
	}


	.service{
		width: calc( 100%/3 - 1px);
		float: left;
		border-right: 1px solid #ccc;
		border-bottom: none;
	}

	
	.single-col .service{
		width: 100%;
		border: 0;
	}
	
	.service:last-child{
		border-right: none;
	}
	
	
	#web-packages .service{
		background-color: #fff;
		width: calc( 100%/3 - 1.33333rem);
		float: left;
		border-right: 0;
		border-bottom: none;
		margin-left: 1rem;
		padding-top: 1rem;
		border-radius: 1rem;
		margin-bottom: 1rem;
		margin-right: 0;
	}
	
	#web-packages :last-child{
		
	}

	#web-packages .service:last-child{
		margin-right: 1rem;
	}
	
	#web-packages .service-wrapper{
		padding: 0 1rem;
	}


}

@media screen and (min-width: 768px) {

	.splash-logo{
		/*width: 55%;*/

	}

	.header-group{
		float: left;
		clear: right;
		width: 50%;
		margin-left: -5%;
		padding-top: 4rem;
	}
	
	h1.site-name{
		font-size: 5rem;
		letter-spacing: .025em;
	}

	h1 .studios{
		font-size: 2.8rem;
		letter-spacing: .25em;
	}

	h2.site-description{
		font-style: italic;
		text-align: center;
		font-size: 2.1rem;
		padding-top: 2.5rem;
		font-family: "IM Fell Great Primer", Georgia, serif;
		color: #000;
		text-transform: none;
		margin-bottom: 0;
	}

	
	ul.specialities{
		padding-left: 0;
		padding-top: 2.5rem;
		margin: 0;
	}

	ul.specialities li{
		list-style-type: none;
		margin-left: 0;
		font-family: "IM Fell Great Primer SC", Georgia, serif;
		font-size: 1.8rem;
		text-align: center;
	}
	
	.contact{
		padding-top: 2.5rem;
	}
	

	
}



@media screen and (min-width: 900px) {

	.splash{
		max-width: 900px;
		margin-left: auto;
		margin-right: auto;
	}

	.splash-logo{
		width: 50%;
		height: auto;
		float: left;
		margin-left: 3%;
	}

	.header-group{
		float: left;
		clear: right;
		width: 50%;
		margin-left: -3%;
		padding-top: 9rem;
	}
	

	.single-col .service ul,
	#process p{
		width: 45%;
		margin-left: auto;
		margin-right: auto;
	}

	.pitch{
		width: 55%;
		float: left;
		text-align: justify;
	}

	.trans-sb{
		width: 45%;
		float: right;
	}
	
	.single-col .trans-sb ul{
		width: 80%;
	}

	h1.site-name{
		text-transform: lowercase;
		/*padding-top: 10rem;*/
		font-size: 6.5rem;
		letter-spacing: .025em;
	}

	h1 .studios{
		font-size: 3.7rem;
		letter-spacing: .25em;
	}

	h2.site-description{
		font-style: italic;
		text-align: center;
		font-size: 3rem;
		padding-top: 3rem;
		font-family: "IM Fell Great Primer", Georgia, serif;
		color: #000;
		text-transform: none;
	}

	
	ul.specialities{
		padding-left: 0;
		padding-top: 3rem;
	}

	ul.specialities li{
		list-style-type: none;
		margin-left: 0;
		font-family: "IM Fell Great Primer SC", Georgia, serif;
		font-size: 2rem;
		text-align: center;
	}

	.contact{
		text-align: center;
		font-size: 1.8rem;
		display: block;
		padding-top: 3rem;
	}

	#welcome p.intro{
		font-style: italic;
		font-size: 2.4rem;
		font-weight: normal;
		text-align: center;
	}
	
	h2{
		margin-bottom: 4.5rem;
		padding-top: 4.5rem;
	}
	
	section{
		margin-bottom: 4.5em;
	}

	.menu-section h3 {
		padding-top: 2.5rem;
	}
}


@media screen and (min-width: 1400px) {
	#web-packages{
			margin-left: -10%;
			margin-right: -10%;
			width: 120%;
	}
}
